package models

import (
	"time"
)

type CmSafeAudit struct {
	Id            int       `xorm:"not null pk autoincr comment('自增id') INT(11)"`
	SafeId        int       `xorm:"not null default 0 comment('安全巡检id') INT(11)"`
	BidsectionId  int       `xorm:"not null default 0 comment('标段id') INT(11)"`
	Times         int       `xorm:"not null default 0 comment('审核次数') INT(11)"`
	AuditId       int       `xorm:"not null default 0 comment('审核人id') INT(11)"`
	AuditOrder    int       `xorm:"not null default 0 comment('审批顺序') INT(11)"`
	Status        int       `xorm:"default 0 comment('审核状态(0待审批1通过2退回3关闭)') INT(11)"`
	Progress      int       `xorm:"not null default 0 comment('审批进度(0审批1整改2复查)') TINYINT(1)"`
	CreateTime    time.Time `xorm:"comment('开始时间') DATETIME"`
	EndTime       time.Time `xorm:"comment('结束时间') DATETIME"`
	Opinion       string    `xorm:"comment('审批意见') VARCHAR(1024)"`
	Rectifiedinfo string    `xorm:"comment('整改情况') VARCHAR(1024)"`
}
